import { File } from '@awesome-cordova-plugins/file/ngx';
import { IDeviceStartUpService } from './device-start-up-service';
import { DeviceFileService } from './device-file.service';
import { DeviceFileDownloadService } from './device-file-download.service';
import * as i0 from "@angular/core";
export declare class DeviceFileCacheService implements IDeviceStartUpService {
    private cordovaFile;
    private fileService;
    private downloadService;
    static readonly SERVICE_NAME = "DeviceFileCacheService";
    private _cacheIndex;
    private _writing;
    private _saveCache;
    constructor(cordovaFile: File, fileService: DeviceFileService, downloadService: DeviceFileDownloadService);
    addEntry(url: any, filepath: any): void;
    getLocalPath(url: string, downloadIfNotExists: boolean, isPersistent: boolean, forceRefresh?: boolean): Promise<string>;
    invalidateCache(): void;
    start(): Promise<void>;
    getServiceName(): string;
    private download;
    private writeCacheIndexToFile;
    static ɵfac: i0.ɵɵFactoryDeclaration<DeviceFileCacheService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DeviceFileCacheService>;
}
